Bug 1740691 - [RFE] Add VMRC in Service UI
Summary: [RFE] Add VMRC in Service UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.11.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.11.0
Assignee: Dávid Halász
QA Contact: Sudhir Mallamprabhakara
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-13 13:36 UTC by Satoe Imaishi
Modified: 2019-12-12 13:36 UTC (History)
4 users (show)

Fixed In Version: 5.11.0.19
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-12 13:36:50 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:4199 0 None None None 2019-12-12 13:36:58 UTC

Comment 1 CFME Bot 2019-08-13 13:40:51 UTC
New commit detected on ManageIQ/manageiq/ivanchuk:

https://github.com/ManageIQ/manageiq/commit/d8e0cd31dd3201201235785aa8ae51e90e5eda95
commit d8e0cd31dd3201201235785aa8ae51e90e5eda95
Author:     Keenan Brock <keenan@thebrocks.net>
AuthorDate: Wed Aug  7 10:06:48 2019 -0400
Commit:     Keenan Brock <keenan@thebrocks.net>
CommitDate: Wed Aug  7 10:06:48 2019 -0400

    Merge pull request #19097 from skateman/vmrc-sui-feature

    Add product feature for VMRC consoles in the SUI

    (cherry picked from commit 0df76bcf8f90145970a5e022869f4099766f91db)

    https://bugzilla.redhat.com/show_bug.cgi?id=1740691

 db/fixtures/miq_product_features.yml | 4 +
 db/fixtures/miq_user_roles.yml | 8 +
 2 files changed, 12 insertions(+)

Comment 2 CFME Bot 2019-08-13 13:42:18 UTC
New commit detected on ManageIQ/manageiq-providers-vmware/ivanchuk:

https://github.com/ManageIQ/manageiq-providers-vmware/commit/89818ff59474b125879a4b650276dc86edf6fe2b
commit 89818ff59474b125879a4b650276dc86edf6fe2b
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Mon Aug  5 09:54:37 2019 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Mon Aug  5 09:54:37 2019 -0400

    Merge pull request #429 from skateman/vmrc-build-url

    Build the remote console URL for VMRC consoles when making a ticket

    (cherry picked from commit 5f71ec89b3b2a2a38e0a5ed0d1251ef2ed56277e)

    https://bugzilla.redhat.com/show_bug.cgi?id=1740691

 app/models/manageiq/providers/vmware/infra_manager.rb | 2 +-
 app/models/manageiq/providers/vmware/infra_manager/vm/remote_console.rb | 17 +-
 spec/models/manageiq/providers/vmware/infra_manager/vm/remote_console_spec.rb | 24 +-
 3 files changed, 30 insertions(+), 13 deletions(-)

Comment 3 CFME Bot 2019-08-13 13:43:17 UTC
New commit detected on ManageIQ/manageiq-api/ivanchuk:

https://github.com/ManageIQ/manageiq-api/commit/271130ad3ddfa8a966075f5cae6475d41ad88948
commit 271130ad3ddfa8a966075f5cae6475d41ad88948
Author:     Libor Pichler <lpichler@redhat.com>
AuthorDate: Wed Aug  7 10:21:24 2019 -0400
Commit:     Libor Pichler <lpichler@redhat.com>
CommitDate: Wed Aug  7 10:21:24 2019 -0400

    Merge pull request #642 from skateman/api-vmrc-support

    Append RBAC features for VMRC console request through the API

    (cherry picked from commit f9bb01225be6e503a0d8aa906e0eb193d587d4ce)

    https://bugzilla.redhat.com/show_bug.cgi?id=1740691

 config/api.yml | 4 +
 1 file changed, 4 insertions(+)

Comment 4 CFME Bot 2019-08-13 13:45:59 UTC
New commit detected on ManageIQ/manageiq-ui-service/ivanchuk:

https://github.com/ManageIQ/manageiq-ui-service/commit/71ee4eb8e6eea8ad0426407ce79645d5a4bbd731
commit 71ee4eb8e6eea8ad0426407ce79645d5a4bbd731
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Thu Aug  8 08:46:28 2019 -0400
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Thu Aug  8 08:46:28 2019 -0400

    Merge pull request #1570 from skateman/vmrc-support

    Add support for the VMRC remote consoles for VMware VMs

    (cherry picked from commit 6c4b17c3d01210aa65ef0f99a50cc34ca71da90e)

    https://bugzilla.redhat.com/show_bug.cgi?id=1740691

 client/app/core/product-features.constants.json | 1 +
 client/app/services/consoles.service.js | 4 +-
 client/app/services/service-details/service-details.component.js | 6 +-
 client/app/services/service-details/service-details.html | 11 +-
 client/app/services/service-explorer/service-explorer.component.spec.js | 1 +
 client/app/services/services-state.service.js | 1 +
 client/app/services/services-state.service.spec.js | 1 +
 7 files changed, 19 insertions(+), 6 deletions(-)

Comment 5 CFME Bot 2019-08-13 13:46:24 UTC
New commit detected on ManageIQ/manageiq-ui-classic/ivanchuk:

https://github.com/ManageIQ/manageiq-ui-classic/commit/d0ce167bfdfe3c2f0d334aeac90d6284fb70a822
commit d0ce167bfdfe3c2f0d334aeac90d6284fb70a822
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Thu Aug  8 05:44:37 2019 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Thu Aug  8 05:44:37 2019 -0400

    Merge pull request #5934 from skateman/vmrc-move-uri

    Consume the URL for VMRC from the task result instead of building it

    (cherry picked from commit a4679e2e1c0075a501f92494f9a4f100151b0f29)

    https://bugzilla.redhat.com/show_bug.cgi?id=1740691

 app/controllers/vm_remote.rb | 31 +-
 app/views/vm_common/console_vmrc.html.haml | 2 +-
 2 files changed, 4 insertions(+), 29 deletions(-)

Comment 6 Antonin Pagac 2019-08-29 10:11:27 UTC
Verified with 5.11.0.22.

Comment 9 errata-xmlrpc 2019-12-12 13:36:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4199


Note You need to log in before you can comment on or make changes to this bug.